function [score] = ex10_score_alpha(dim, T, ell0, alpha, num_filter, ...
                                    invalid_pts, y, u, m, maxit, tol_cg, ...
                                    tol_fsolve)
%function [score] = ex10_score_alpha(dim, T, ell0, alpha, num_filter, ...
%                                    invalid_pts, y, u, m, maxit, tol_cg, ...
%                                    tol_fsolve)
%
% This routine evaluates the SAA of the score function used in ex10.m.
% It only evaluates the score w.r.t. alpha, given known ell0.
%

%Author: J. Chen
%$Date: 2011/12/20 12:53:53$

[ell_est, fval, exitflag, output, jacob] = ...
    fsolve(@(ell)ex10_score_func(dim, T, ell, alpha, num_filter, ...
                                 invalid_pts, y, u, m, maxit, tol_cg,'ell'), ...
           ell0, optimset('Display','off','TolX',tol_fsolve));

score = ex10_score_func(dim, T, ell_est, alpha, num_filter, ...
                        invalid_pts, y, u, m, maxit, tol_cg, 'alpha');
