function [score] = ex10_score_func(dim, T, ell, alpha, num_filter, ...
                                   invalid_pts, y, u, m, maxit, tol_cg, tag)
%function [score] = ex10_score_func(dim, T, ell, alpha, num_filter, ...
%                                   invalid_pts, y, u, m, maxit, tol_cg, tag)
%
% This routine evaluates the SAA of the score function used in ex10.m.
% The tag can be either 'ell', 'alpha' or 'all', which instructs the
% routine to return the scores w.r.t. to ell, or alpha, or all scores,
% respectively.
%

%Author: J. Chen
%$Date: 2011/12/20 12:53:42$

[Kfun, dKfun, Mfun] = ex10_aux_func(dim, T, ell, alpha, num_filter, ...
                                    invalid_pts, 'func');
[score, iter] = score_func(Kfun, dKfun, Mfun, y, u, m, maxit, tol_cg);

if strcmp(tag, 'ell')
  score = score(1:end-1);
elseif strcmp(tag, 'alpha')
  score = score(end);
elseif strcmp(tag, 'all')
  score = score;
else
  error('invalid tag argument!');
end
