function [Kfun, dKfun, Mfun] = ex7_aux_func(coord, boundary, ell, nu, M, tau)
%function [Kfun, dKfun, Mfun] = ex7_aux_func(coord, boundary, ell, nu, M, tau)
%
% This function generates the covariance matrix K, partial derivatives
% dK, and preconditioner M needed by ex7.m. The forms of the outputs
% are function handles.
%

%Author: J. Chen
%$Date: 2011/12/20 12:51:23$

% generate covariance matrix for random points based on current ell
[K, dK] = gen_K_matern_general(coord, boundary, ell, nu);

% no filtering
Kfun = @(x)(K*x);

% derivatives of K
for i = 1:length(dK)
  dKfun{i} = @(x)(dK{i}*x);
end

% use stiffness matrix preconditioner
Mfun = @(x)Mfun_sub(M, tau, x);


function [y] = Mfun_sub(M, tau, x)

for i = 1:tau
  x = M*x;
end
y = x;
