function [coord] = gen_coord_random_1d(n, T)
%function [coord] = gen_coord_random_1d(n, T)
%
% This function generates a set of n random points in [0,T]. In
% addition, it generates two points that enclose the interval.
%
% INPUTS
%   n:     Number of points, excluding the two boundary points.
%   T:     Physical domain. E.g., 50.
%
% OUTPUTS
%   coord: Coordinates of the points, sorted. Boundary included.
%

%Author: J. Chen
%$Date: 2011/11/23 11:45:11$

delta = 1/n;
coord = [-delta; rand(n,1); 1+delta];
coord = coord*T;
coord = sort(coord);
