function [ftK] = lapFilterMat1d(tK, order)
%function [ftK] = lapFilterMat1d(tK, order)
%
% This function performs a Laplacian filtering on a Toeplitz
% matrix. To perform the same filtering on a vector, use
% lapFilterVec1d.
%
% INPUTS
%   tK:    The matrix (first column).
%   order: Number of times filter is applied.
%
% OUTPUTS
%   ftK:   The filtered result.
%

%Author: J. Chen
%$Date: 2011/11/23 11:46:59$

for iter = 1:order*2
  
  tK2 = [tK(2); tK];
  
  tK = 2*tK2(2:end-1) - tK2(1:end-2) - tK2(3:end);
  
end

ftK = tK;
