function [y] = sampl_chol(K)
%function [y] = sampl_chol(K)
%
% This function computes a sample y from a Gaussian process with mean
% 0 and covariance K, by using the Cholesky factorization method.
%
% INPUTS
%   K: Covariance matrix.
%
% OUTPUTS
%   y: Sample vector.
%

%Author: J. Chen
%$Date: 2011/11/23 11:49:20$

y = chol(K)' * randn(size(K,1),1);

