function [M] = stiff1d(coord)
%function [M] = stiff1d(coord)
%
% This function computes the stiffness matrix M for a 1D mesh.
%
% INPUTS
%   coord: Coordinates of the *SORTED* points.
%
% OUTPUTS
%   M:     Stiffness matrix, sparse.
%

%Author: J. Chen
%$Date: 2011/11/23 11:54:33$

d = diff(coord);
n = size(coord,1);

c = 1./d(1:end-1)+1./d(2:end);
e = -1./d(2:end-1);
M = spdiags([[e;0] c [0;e]], -1:1, n-2, n-2);

